<?php
$target='nombre';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/usuarios.php");
//include("conexion/conex.php");

$programa='descarga_por_archivo.php';
$nombrepagina = "DESCARGAR ENVIOS POR ARCHIVO CSV";
$v_mysql=conn_mysql();
encabezado($target);
$user=$_SESSION['validar'];
$filas=1;

if (file_exists('Plano_GuiasSinActualizar.csv')){
	unlink('Plano_GuiasSinActualizar.csv');
}

if($filas == 1){
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);
}

if($_SESSION['area']!=0){
echo "Pagina Termporalmente Deshabilitada, aun no tiene permisos para la operacion.";
}else{
	   ?>
  <center>
  <FORM action="" method="POST" enctype="multipart/form-data">
  <table>
   <tr  class="miTable_tr">
    <th  class="miTable_th1" colspan="2">Cargar Archivo Plano</th>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Seleccione Archivo: </td>
    <td class="miTable_td"><div align="left"><input type="file" name="archivo" class="inputbox"></div> </td>
   </tr>
  <tr class="miTable_tr">
    <td class="miTable_td">Ejemplo: </td>
	<td class="miTable_td"><div align="left">
	Guia;Paquete;NoReporte
        <br>
        68262308;10;180
        <br>
        68262314;20;120        
	</div></td>
   </tr>

   <tr class="miTable_tr">
    <td class="miTable_td">&nbsp;</td>
    <td class="miTable_td"><div align="left"><input type="submit" id="btplano" name="btplano" value="Cargar Archivo" class="inputbox" onClick="validarforma('archivo','','R');return document.MM_returnValue" class="inputbox"></div></td>
   </tr>   
   <tr  class="miTable_tr">
    <th  class="miTable_th1" colspan="2">&nbsp;</th>
   </tr>
  </table>
  </FORM>
  </center>

 <?php
}
   if (isset($btplano)){
 	$conexionObj = new conexion();
 	$conexionObj->conectarse();
 	$nombre_archivo=$HTTP_POST_FILES['archivo']['name'];
 	$tipo_archivo=$HTTP_POST_FILES['archivo']['type'];
 	$tamano_archivo=$HTTP_POST_FILES['archivo']['size'];
 	$tmp_archivo=$HTTP_POST_FILES['archivo']['tmp_name'];

 	if (!strpos(strtolower($nombre_archivo),'csv')){
 		echo "<b><center> No se puede continuar, el archivo seleccionado no es CSV.</center></b>";
 		exit();
 	}
 	
            $nombret=$tmp_archivo;
            $maneja_archivo = FOPEN($nombret, "r") or die("No fue posible abrir el archivo: ". $nombret);
            $linea_texto = FGETS($maneja_archivo, 4096); //lee PRIMERA linea del archivo
            $explode_valores = explode(';', $linea_texto);
            if(count($explode_valores)<1){
                die ("El archivo debe contener minimo el numero de guia.");
            }
        
        $norepo="";
        $cnt=0;
 	$row = 1;
 	$cntreg = 0;
 	$conspl='';
        $separador=';';
 	$handle = fopen ($tmp_archivo,"r");
 	while ($data = fgetcsv ($handle, 2048,$separador)) {
 		$cnt++;
 		$num = count ($data);
 		if ($cnt>1){
 			for ($c=0; $c <= 2; $c++ ) {
 				if($c==0){$nguia=$data[$c];}
 				if($c==1){$npaq=$data[$c];}
				if($c==2){$norepo=$data[$c];}
 			} 			

$rst_insertar=$conexionObj->consultar("delete from paquetes_ciudades where guia='".$nguia."'");
$rst_insertar=$conexionObj->consultar("insert into paquetes_ciudades (guia,paquete_ciudades,id_estado,id_devoluciones)
value('".$nguia."','".$norepo."','14','0')");

$rst_insertar=$conexionObj->modificar("UPDATE paquetes_ciudades SET id_estado = '14',id_devoluciones = '0',paquete_ciudades='".$norepo."' WHERE guia ='".$nguia."'");
 					$affected_rows = mysql_affected_rows();
		               
                        $rst_insertar=$conexionObj->modificar("UPDATE guias_proceso SET id_estado = '14',no_paquete='".$npaq."' WHERE guia ='".$nguia."' AND (id_estado='13' OR id_estado='16' OR id_estado='17')");
 					$affected_rows = mysql_affected_rows();
 					if ($affected_rows>=1){ 						
 						$rst_select=$conexionObj->consultar("UPDATE rastreo_guias SET E14='14', F14 = NOW() WHERE guia='".$nguia."'");
 						if($rst_select<=0){echo 'Error MySql: '.mysql_error().' Linea 100.';}
                        $cntreg++;
 					}else{
 					$cadena = trim($nguia).chr(13).chr(10); 					
 					$archivo = fopen ('Plano_GuiasSinActualizar.csv', "a+");
 					fwrite($archivo, $cadena);
 					fclose($archivo);
                    } 			
 		}
 	}
 	fclose ($handle);
 	if (file_exists('Plano_GuiasSinActualizar.csv')){
 		echo"<center><a title='Ver Guias Sin Actualizar.' target='_blank' href='Plano_GuiasSinActualizar.csv'>Ver Guias Sin Actualizar</a> <center>";
 	}
    if($cntreg>0){
            echo "<center>Guias Actualizadas: ".$cntreg."</center>";
         }
 }
 mostrar_pie();
 echo"</td>";
 echo"</tr>";
 echo"</table>";
 echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
 echo"<tbody><tr>";
 echo"<td></td>";
 echo"</tr>";
 echo"<tr>";
 echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
 echo"</tr>";
 echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>
